{
    "path": "$OET_PATH/testcases/function_test/pkg_test/hunspell/hunspell",
    "machine num": 1,
    "cases": [
        {
            "name": "test_hunspell_command_install_001",
            "desc": "测试hunspell软件包的安装功能，验证是否能够成功安装。",
            "machine num": 1
        },
        {
            "name": "test_hunspell_function_install",
            "desc": "测试hunspell软件包的安装功能，验证是否能够成功安装。"
        },
        {
            "name": "test_hunspell_function_basic_spellcheck",
            "desc": "测试hunspell的基本拼写检查功能，验证能否正确识别拼写错误。"
        },
        {
            "name": "test_hunspell_function_analyze_word",
            "desc": "测试hunspell的词形分析功能，验证能否对单词进行词干和词缀分析。"
        },
        {
            "name": "test_hunspell_hunspell__a",
            "desc": "测试hunspell命令的Ispell管道接口模式"
        },
        {
            "name": "test_hunspell_hunspell__upper_d",
            "desc": "测试hunspell命令显示可用字典列表的功能"
        },
        {
            "name": "test_hunspell_hunspell__i",
            "desc": "测试hunspell命令指定输入文件编码的功能"
        },
        {
            "name": "test_hunspell_hunspell__upper_p",
            "desc": "测试hunspell命令为加密字典设置密码的功能"
        },
        {
            "name": "test_hunspell_hunspell__v",
            "desc": "测试hunspell命令打印版本号的功能"
        },
        {
            "name": "test_hunspell_hunspell_help",
            "desc": "测试显示帮助信息"
        },
        {
            "name": "test_hunspell_hunspell_check_apostrophe",
            "desc": "测试检查Unicode印刷体撇号"
        },
        {
            "name": "test_hunspell_hunspell_upper_l",
            "desc": "测试输出包含拼写错误的行"
        },
        {
            "name": "test_hunspell_hunspell_s",
            "desc": "测试对输入文本的单词进行词干提取"
        },
        {
            "name": "test_hunspell_hunspell_v",
            "desc": "测试打印版本号"
        },
        {
            "name": "test_hunspell_hunspell_vv",
            "desc": "测试打印Ispell兼容的版本号"
        },
        {
            "name": "test_hunspell_hunspell_w",
            "desc": "测试从单字/行输入中打印拼写错误的单词（即行）"
        },
        {
            "name": "test_hunspell_function_uninstall",
            "desc": "测试hunspell软件包的卸载功能，验证是否能够成功卸载。"
        },
        {
            "name": "test_hunspell_function_version",
            "desc": "测试hunspell显示版本信息的功能。"
        }
    ]
}